Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network54.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
54.0.0.0
Broadcast address
54.127.255.255
First usable
54.0.0.1
Last usable
54.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 36000000 · Integer 905969664 to 914358271
Reverse DNS zones
0.54.in-addr.arpa
1.54.in-addr.arpa
2.54.in-addr.arpa
3.54.in-addr.arpa
4.54.in-addr.arpa
5.54.in-addr.arpa
6.54.in-addr.arpa
7.54.in-addr.arpa
8.54.in-addr.arpa
9.54.in-addr.arpa
10.54.in-addr.arpa
11.54.in-addr.arpa
12.54.in-addr.arpa
13.54.in-addr.arpa
14.54.in-addr.arpa
15.54.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110110.00000000.00000000.0000000054.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00110110.00000000.00000000.0000000054.0.0.0
Broadcast00110110.01111111.11111111.1111111154.127.255.255
Split into smaller subnets/16

54.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
154.0.0.0/1654.0.0.1 to 54.0.255.25454.0.255.25565,534
254.1.0.0/1654.1.0.1 to 54.1.255.25454.1.255.25565,534
354.2.0.0/1654.2.0.1 to 54.2.255.25454.2.255.25565,534
454.3.0.0/1654.3.0.1 to 54.3.255.25454.3.255.25565,534
554.4.0.0/1654.4.0.1 to 54.4.255.25454.4.255.25565,534
654.5.0.0/1654.5.0.1 to 54.5.255.25454.5.255.25565,534
754.6.0.0/1654.6.0.1 to 54.6.255.25454.6.255.25565,534
854.7.0.0/1654.7.0.1 to 54.7.255.25454.7.255.25565,534
954.8.0.0/1654.8.0.1 to 54.8.255.25454.8.255.25565,534
1054.9.0.0/1654.9.0.1 to 54.9.255.25454.9.255.25565,534
1154.10.0.0/1654.10.0.1 to 54.10.255.25454.10.255.25565,534
1254.11.0.0/1654.11.0.1 to 54.11.255.25454.11.255.25565,534
1354.12.0.0/1654.12.0.1 to 54.12.255.25454.12.255.25565,534
1454.13.0.0/1654.13.0.1 to 54.13.255.25454.13.255.25565,534
1554.14.0.0/1654.14.0.1 to 54.14.255.25454.14.255.25565,534
1654.15.0.0/1654.15.0.1 to 54.15.255.25454.15.255.25565,534
1754.16.0.0/1654.16.0.1 to 54.16.255.25454.16.255.25565,534
1854.17.0.0/1654.17.0.1 to 54.17.255.25454.17.255.25565,534
1954.18.0.0/1654.18.0.1 to 54.18.255.25454.18.255.25565,534
2054.19.0.0/1654.19.0.1 to 54.19.255.25454.19.255.25565,534
2154.20.0.0/1654.20.0.1 to 54.20.255.25454.20.255.25565,534
2254.21.0.0/1654.21.0.1 to 54.21.255.25454.21.255.25565,534
2354.22.0.0/1654.22.0.1 to 54.22.255.25454.22.255.25565,534
2454.23.0.0/1654.23.0.1 to 54.23.255.25454.23.255.25565,534
2554.24.0.0/1654.24.0.1 to 54.24.255.25454.24.255.25565,534
2654.25.0.0/1654.25.0.1 to 54.25.255.25454.25.255.25565,534
2754.26.0.0/1654.26.0.1 to 54.26.255.25454.26.255.25565,534
2854.27.0.0/1654.27.0.1 to 54.27.255.25454.27.255.25565,534
2954.28.0.0/1654.28.0.1 to 54.28.255.25454.28.255.25565,534
3054.29.0.0/1654.29.0.1 to 54.29.255.25454.29.255.25565,534
3154.30.0.0/1654.30.0.1 to 54.30.255.25454.30.255.25565,534
3254.31.0.0/1654.31.0.1 to 54.31.255.25454.31.255.25565,534
3354.32.0.0/1654.32.0.1 to 54.32.255.25454.32.255.25565,534
3454.33.0.0/1654.33.0.1 to 54.33.255.25454.33.255.25565,534
3554.34.0.0/1654.34.0.1 to 54.34.255.25454.34.255.25565,534
3654.35.0.0/1654.35.0.1 to 54.35.255.25454.35.255.25565,534
3754.36.0.0/1654.36.0.1 to 54.36.255.25454.36.255.25565,534
3854.37.0.0/1654.37.0.1 to 54.37.255.25454.37.255.25565,534
3954.38.0.0/1654.38.0.1 to 54.38.255.25454.38.255.25565,534
4054.39.0.0/1654.39.0.1 to 54.39.255.25454.39.255.25565,534
4154.40.0.0/1654.40.0.1 to 54.40.255.25454.40.255.25565,534
4254.41.0.0/1654.41.0.1 to 54.41.255.25454.41.255.25565,534
4354.42.0.0/1654.42.0.1 to 54.42.255.25454.42.255.25565,534
4454.43.0.0/1654.43.0.1 to 54.43.255.25454.43.255.25565,534
4554.44.0.0/1654.44.0.1 to 54.44.255.25454.44.255.25565,534
4654.45.0.0/1654.45.0.1 to 54.45.255.25454.45.255.25565,534
4754.46.0.0/1654.46.0.1 to 54.46.255.25454.46.255.25565,534
4854.47.0.0/1654.47.0.1 to 54.47.255.25454.47.255.25565,534
4954.48.0.0/1654.48.0.1 to 54.48.255.25454.48.255.25565,534
5054.49.0.0/1654.49.0.1 to 54.49.255.25454.49.255.25565,534
5154.50.0.0/1654.50.0.1 to 54.50.255.25454.50.255.25565,534
5254.51.0.0/1654.51.0.1 to 54.51.255.25454.51.255.25565,534
5354.52.0.0/1654.52.0.1 to 54.52.255.25454.52.255.25565,534
5454.53.0.0/1654.53.0.1 to 54.53.255.25454.53.255.25565,534
5554.54.0.0/1654.54.0.1 to 54.54.255.25454.54.255.25565,534
5654.55.0.0/1654.55.0.1 to 54.55.255.25454.55.255.25565,534
5754.56.0.0/1654.56.0.1 to 54.56.255.25454.56.255.25565,534
5854.57.0.0/1654.57.0.1 to 54.57.255.25454.57.255.25565,534
5954.58.0.0/1654.58.0.1 to 54.58.255.25454.58.255.25565,534
6054.59.0.0/1654.59.0.1 to 54.59.255.25454.59.255.25565,534
6154.60.0.0/1654.60.0.1 to 54.60.255.25454.60.255.25565,534
6254.61.0.0/1654.61.0.1 to 54.61.255.25454.61.255.25565,534
6354.62.0.0/1654.62.0.1 to 54.62.255.25454.62.255.25565,534
6454.63.0.0/1654.63.0.1 to 54.63.255.25454.63.255.25565,534
6554.64.0.0/1654.64.0.1 to 54.64.255.25454.64.255.25565,534
6654.65.0.0/1654.65.0.1 to 54.65.255.25454.65.255.25565,534
6754.66.0.0/1654.66.0.1 to 54.66.255.25454.66.255.25565,534
6854.67.0.0/1654.67.0.1 to 54.67.255.25454.67.255.25565,534
6954.68.0.0/1654.68.0.1 to 54.68.255.25454.68.255.25565,534
7054.69.0.0/1654.69.0.1 to 54.69.255.25454.69.255.25565,534
7154.70.0.0/1654.70.0.1 to 54.70.255.25454.70.255.25565,534
7254.71.0.0/1654.71.0.1 to 54.71.255.25454.71.255.25565,534
7354.72.0.0/1654.72.0.1 to 54.72.255.25454.72.255.25565,534
7454.73.0.0/1654.73.0.1 to 54.73.255.25454.73.255.25565,534
7554.74.0.0/1654.74.0.1 to 54.74.255.25454.74.255.25565,534
7654.75.0.0/1654.75.0.1 to 54.75.255.25454.75.255.25565,534
7754.76.0.0/1654.76.0.1 to 54.76.255.25454.76.255.25565,534
7854.77.0.0/1654.77.0.1 to 54.77.255.25454.77.255.25565,534
7954.78.0.0/1654.78.0.1 to 54.78.255.25454.78.255.25565,534
8054.79.0.0/1654.79.0.1 to 54.79.255.25454.79.255.25565,534
8154.80.0.0/1654.80.0.1 to 54.80.255.25454.80.255.25565,534
8254.81.0.0/1654.81.0.1 to 54.81.255.25454.81.255.25565,534
8354.82.0.0/1654.82.0.1 to 54.82.255.25454.82.255.25565,534
8454.83.0.0/1654.83.0.1 to 54.83.255.25454.83.255.25565,534
8554.84.0.0/1654.84.0.1 to 54.84.255.25454.84.255.25565,534
8654.85.0.0/1654.85.0.1 to 54.85.255.25454.85.255.25565,534
8754.86.0.0/1654.86.0.1 to 54.86.255.25454.86.255.25565,534
8854.87.0.0/1654.87.0.1 to 54.87.255.25454.87.255.25565,534
8954.88.0.0/1654.88.0.1 to 54.88.255.25454.88.255.25565,534
9054.89.0.0/1654.89.0.1 to 54.89.255.25454.89.255.25565,534
9154.90.0.0/1654.90.0.1 to 54.90.255.25454.90.255.25565,534
9254.91.0.0/1654.91.0.1 to 54.91.255.25454.91.255.25565,534
9354.92.0.0/1654.92.0.1 to 54.92.255.25454.92.255.25565,534
9454.93.0.0/1654.93.0.1 to 54.93.255.25454.93.255.25565,534
9554.94.0.0/1654.94.0.1 to 54.94.255.25454.94.255.25565,534
9654.95.0.0/1654.95.0.1 to 54.95.255.25454.95.255.25565,534
9754.96.0.0/1654.96.0.1 to 54.96.255.25454.96.255.25565,534
9854.97.0.0/1654.97.0.1 to 54.97.255.25454.97.255.25565,534
9954.98.0.0/1654.98.0.1 to 54.98.255.25454.98.255.25565,534
10054.99.0.0/1654.99.0.1 to 54.99.255.25454.99.255.25565,534
10154.100.0.0/1654.100.0.1 to 54.100.255.25454.100.255.25565,534
10254.101.0.0/1654.101.0.1 to 54.101.255.25454.101.255.25565,534
10354.102.0.0/1654.102.0.1 to 54.102.255.25454.102.255.25565,534
10454.103.0.0/1654.103.0.1 to 54.103.255.25454.103.255.25565,534
10554.104.0.0/1654.104.0.1 to 54.104.255.25454.104.255.25565,534
10654.105.0.0/1654.105.0.1 to 54.105.255.25454.105.255.25565,534
10754.106.0.0/1654.106.0.1 to 54.106.255.25454.106.255.25565,534
10854.107.0.0/1654.107.0.1 to 54.107.255.25454.107.255.25565,534
10954.108.0.0/1654.108.0.1 to 54.108.255.25454.108.255.25565,534
11054.109.0.0/1654.109.0.1 to 54.109.255.25454.109.255.25565,534
11154.110.0.0/1654.110.0.1 to 54.110.255.25454.110.255.25565,534
11254.111.0.0/1654.111.0.1 to 54.111.255.25454.111.255.25565,534
11354.112.0.0/1654.112.0.1 to 54.112.255.25454.112.255.25565,534
11454.113.0.0/1654.113.0.1 to 54.113.255.25454.113.255.25565,534
11554.114.0.0/1654.114.0.1 to 54.114.255.25454.114.255.25565,534
11654.115.0.0/1654.115.0.1 to 54.115.255.25454.115.255.25565,534
11754.116.0.0/1654.116.0.1 to 54.116.255.25454.116.255.25565,534
11854.117.0.0/1654.117.0.1 to 54.117.255.25454.117.255.25565,534
11954.118.0.0/1654.118.0.1 to 54.118.255.25454.118.255.25565,534
12054.119.0.0/1654.119.0.1 to 54.119.255.25454.119.255.25565,534
12154.120.0.0/1654.120.0.1 to 54.120.255.25454.120.255.25565,534
12254.121.0.0/1654.121.0.1 to 54.121.255.25454.121.255.25565,534
12354.122.0.0/1654.122.0.1 to 54.122.255.25454.122.255.25565,534
12454.123.0.0/1654.123.0.1 to 54.123.255.25454.123.255.25565,534
12554.124.0.0/1654.124.0.1 to 54.124.255.25454.124.255.25565,534
12654.125.0.0/1654.125.0.1 to 54.125.255.25454.125.255.25565,534
12754.126.0.0/1654.126.0.1 to 54.126.255.25454.126.255.25565,534
12854.127.0.0/1654.127.0.1 to 54.127.255.25454.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses